(function() {
  "use strict";
  const modalBox = document.querySelector(".woocpt-modal-wrapper");
  const quickBtn = document.querySelectorAll("#woocpt-quick-view");
  const closeBtn = document.querySelector(".woocpt-close-btn");
  
  quickBtn.forEach(openBox => {
    openBox.addEventListener('click', function(e) {
      e.preventDefault();
      modalBox.classList.add('show-popup');
    })
  })
  closeBtn.addEventListener("click", function () {
    modalBox.classList.remove("show-popup");
  });
  modalBox.addEventListener("click", function () {
    modalBox.classList.remove("show-popup");
  });
})();